com.google.cloud.dataflow.examples.complete.game.utils

## Class WriteToBigQuery.FieldInfo<T>

- java.lang.Object
- - com.google.cloud.dataflow.examples.complete.game.utils.WriteToBigQuery.FieldInfo<T>

All Implemented Interfaces:
  Serializable

Enclosing class:
  WriteToBigQuery<T>

    public static class WriteToBigQuery.FieldInfo<T>
    extends Object
    implements Serializable

Define a class to hold information about output table field definitions.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FieldInfo(String fieldType, SerializableFunction<DoFn.ProcessContext,Object> fieldFn)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FieldInfo

    public FieldInfo(String fieldType,
                     SerializableFunction<DoFn.ProcessContext,Object> fieldFn)